<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-捕获</title>
	<style type="text/css">
		#div1{
			position: absolute;
			width: 200px;
			height:200px;
			background: red;
			border: 1px solid red;
		}
		.box{
			position:absolute;
			border:1px dashed #000;
		}
	</style>
	<script type="text/javascript">	
		 
		window.onload=function(){
			var disX=0;
			var disY=0;
			var oDiv=document.getElementById('div1');
				oDiv.onmousedown=function(ev){
					var oEvent=ev||event;
					disX=oEvent.clientX-oDiv.offsetLeft;
					disY=oEvent.clientY-oDiv.offsetTop;
					// document.title=pos.x+","+pos.y;
					
					// 创建新的节点
					var oBox=document.createElement('div');
					oBox.className="box";
					oBox.style.width=oDiv.offsetWidth+'px';
					oBox.style.height=oDiv.offsetHeight+'px';
					// 设置创建新节点的位置
					oBox.style.left=oDiv.offsetLeft+'px';
					oBox.style.top=oDiv.offsetTop+'px';
					document.body.append(oBox);

					document.onmousemove=function(ev){
					var oEvent=ev||event;			
					var l=oEvent.clientX-disX;
					var t=oEvent.clientY-disY;
					var r=document.documentElement.clientWidth-oBox.offsetWidth;
					var b=document.documentElement.clientHeight-oBox.offsetHeight;
					if(l<0){
						l=0;
					}else if(l>r){
						l=r;
					}
					if(t<0){
						t=0;
					}else if(t>b){
						t=b;
					}
					oBox.style.left=l+'px';
					oBox.style.top=t+'px';
					};
					document.onmouseup=function(){
						oDiv.style.left=oBox.offsetLeft+'px';
						oDiv.style.top=oBox.offsetTop+'px';
						document.body.removeChild(oBox);
						document.onmousemove=null;
						document.onmouseup=null;
					};
					return false;//FF Chrome IE9
				};	
		};
	</script>
</head>
<body>
	<div id="box">
		<div id="div1">
		</div>
	</div>
</body>
</html>